globalConfig:
  outputDir: /code
  author: lug
  open: true
  idType: INPUT
  dateType: ONLY_DATE
  enableCache: false
  activeRecord: false
  baseResultMap: true
  baseColumnList: true
  swagger2: true
  fileOverride: true
dataSourceConfig:
  url: jdbc:mysql://localhost:3307/lh?characterEncoding=utf-8&useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Hongkong
  driverName: com.mysql.cj.jdbc.Driver
  username: root
  password: luguang
packageConfig:
  parent: com.sy
  moduleName: shop
  entity: model
  mapper: dao
  xml: dao
  service: service
  serviceImpl: service.impl
  controller: controller
  pathInfo:
    entity_path: /code/base_tenant/src/main/java/com/sy/shop/model
    mapper_path: /code/base_tenant/src/main/java/com/sy/shop/dao
    xml_path: /code/base_tenant/src/main/resources/mappers/shop
    service_path: /code/base_tenant/src/main/java/com/sy/shop/service
    service_impl_path: /code/base_tenant/src/main/java/com/sy/shop/service/impl
    controller_path: /code/base_tenant/src/main/java/com/sy/shop/controller
strategyConfig:
  naming: underline_to_camel
  columnNaming: underline_to_camel
  entityLombokModel: true
  superServiceClass: com.baomidou.mybatisplus.extension.service.IService
  superServiceImplClass: com.baomidou.mybatisplus.extension.service.impl.ServiceImpl
  controllerMappingHyphenStyle: true
  restControllerStyle: true
  entityTableFieldAnnotationEnable: true
  tablePrefix:
    - t_
    - sys_
  include:
    - t_test

